Bug 769029 - (oxygen-gtk3) Review Request: oxygen-gtk3 - Oxygen GTK+3 theme
Review Request: oxygen-gtk3 - Oxygen GTK+3 theme
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 753535 (view as bug list)
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-12-19 12:24 EST by nucleo
Modified: 2012-01-25 17:26 EST (History)
6 users (show)

See Also:
Fixed In Version: oxygen-gtk3-1.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-08 17:34:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description nucleo 2011-12-19 12:24:26 EST
Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/oxygen-gtk3/oxygen-gtk3.spec

SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/oxygen-gtk3/oxygen-gtk3-1.2.0-0.1.20111219.fc16.src.rpm

Description:
Oxygen-Gtk is a port of the default KDE widget theme (Oxygen), to gtk.

It's primary goal is to ensure visual consistency between gtk-based and
qt-based applications running under KDE. A secondary objective is to also
have a stand-alone nice looking gtk theme that would behave well on other
Desktop Environments.

Unlike other attempts made to port the KDE oxygen theme to gtk, this
attempt does not depend on Qt (via some Qt to Gtk conversion engine),
nor does render the widget appearance via hard-coded pixmaps, which 
otherwise breaks every time some setting is changed in KDE.

rpmlint output:
rpmlint oxygen-gtk3.spec oxygen-gtk3-1.2.0-0.1.20111219.fc16.src.rpm oxygen-gtk3-1.2.0-0.1.20111219.fc16.i686.rpm oxygen-gtk3-debuginfo-1.2.0-0.1.20111219.fc16.i686.rpm 
oxygen-gtk3.spec:13: W: macro-in-comment %{version}
oxygen-gtk3.spec:13: W: macro-in-comment %{version}
oxygen-gtk3.spec:13: W: macro-in-comment %{snap}
oxygen-gtk3.spec: W: invalid-url Source0: oxygen-gtk3-1.2.0-20111219.tar.bz2
oxygen-gtk3.src: W: spelling-error %description -l en_US gtk -> gt, gt k
oxygen-gtk3.src: W: spelling-error %description -l en_US pixmaps -> pix maps, pix-maps, bitmaps
oxygen-gtk3.src:13: W: macro-in-comment %{version}
oxygen-gtk3.src:13: W: macro-in-comment %{version}
oxygen-gtk3.src:13: W: macro-in-comment %{snap}
oxygen-gtk3.src: W: invalid-url Source0: oxygen-gtk3-1.2.0-20111219.tar.bz2
oxygen-gtk3.i686: W: spelling-error %description -l en_US gtk -> gt, gt k
oxygen-gtk3.i686: W: spelling-error %description -l en_US pixmaps -> pix maps, pix-maps, bitmaps
oxygen-gtk3.i686: W: no-manual-page-for-binary oxygen-gtk3-demo
3 packages and 1 specfiles checked; 0 errors, 13 warnings.

mock build:
http://nucleo.fedorapeople.org/pkg-reviews/oxygen-gtk3/build.log
http://nucleo.fedorapeople.org/pkg-reviews/oxygen-gtk3/root.log
http://nucleo.fedorapeople.org/pkg-reviews/oxygen-gtk3/state.log
Comment 1 nucleo 2011-12-19 12:26:54 EST
*** Bug 753535 has been marked as a duplicate of this bug. ***
Comment 2 T.C. Hollingsworth 2011-12-21 03:13:45 EST
Just an informal review...

(In reply to comment #0)
> rpmlint output:
> rpmlint oxygen-gtk3.spec oxygen-gtk3-1.2.0-0.1.20111219.fc16.src.rpm
> oxygen-gtk3.spec:13: W: macro-in-comment %{version}
> oxygen-gtk3.spec:13: W: macro-in-comment %{version}
> oxygen-gtk3.spec:13: W: macro-in-comment %{snap}
> oxygen-gtk3.src:13: W: macro-in-comment %{version}
> oxygen-gtk3.src:13: W: macro-in-comment %{version}
> oxygen-gtk3.src:13: W: macro-in-comment %{snap}

Please escape RPM macros in comments like "%%{version}".

Other than that, the packaging looks good, it builds fine, and works great!  Thanks a lot; I've been hoping to see this for awhile.
Comment 3 nucleo 2011-12-21 05:59:37 EST
Thanks. I will fix comments with next snapshot or remove them if package will be reviewed when oxygen-gtk3-1.2.0 released (then snapshot comments will be not needed).
Comment 4 Baif 2011-12-22 08:12:03 EST
excellent, thanks to all of you.
Comment 5 Kevin Kofler 2012-01-05 22:08:58 EST
Ping? Any news?
Comment 6 Rex Dieter 2012-01-07 10:29:55 EST
I guess I can formally review this.
Comment 7 Rex Dieter 2012-01-07 10:36:50 EST
naming: ok

license: ok

sources: ok (snapshot for now)

macros: ok

scriptlets: n/a

otherwise, fairly simple and close to existing oxygen-gtk2 packaging.  Looks good.


APPROVED.
Comment 8 nucleo 2012-01-07 12:47:33 EST
Thanks.
There was no any commits to gtk3 branch, so no need to do new snapshot.
I will fix macro-in-comment when importing this package in git.

New Package SCM Request
=======================
Package Name: oxygen-gtk3
Short Description: Oxygen GTK+3 theme
Owners: rdieter nucleo
Branches: f15 f16
Comment 9 Jon Ciesla 2012-01-08 17:11:28 EST
Git done (by process-git-requests).
Comment 10 nucleo 2012-01-08 17:34:51 EST
Built for Rawhide.
Comment 11 Fedora Update System 2012-01-08 18:05:25 EST
oxygen-gtk3-1.2.0-0.1.20111219.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/oxygen-gtk3-1.2.0-0.1.20111219.fc15
Comment 12 Fedora Update System 2012-01-08 18:05:26 EST
oxygen-gtk3-1.2.0-0.1.20111219.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/oxygen-gtk3-1.2.0-0.1.20111219.fc16
Comment 13 Fedora Update System 2012-01-23 17:00:29 EST
oxygen-gtk3-1.0.0-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-01-25 17:26:04 EST
oxygen-gtk3-1.0.0-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.